petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinarySetUseMPIIO

Sets a binary viewer to use MPI-IO for reading/writing. Must be called before PetscViewerFileSetName()

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetUseMPIIO(PetscViewer viewer,PetscBool flg)

Logically Collective on PetscViewer Many br

### Input Parameters

| viewer | - the PetscViewer; must be a binary Many br
| flg | - PETSC_TRUE means MPI-IO will be used Many br

### Options Database

-viewer_binary_mpiio : Flag for using MPI-IO Many br

Many br

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen(),
PetscViewerBinaryGetUseMPIIO() Many br

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex15.c.html